## xul-ext-monkeysphere 0.4

=== Makefile ===
#!/usr/bin/make -f

# Makefile for xul-ext-monkeysphere

# © 2010 Jameson Rollins <jrollins@finestructure.net>
# Licensed under GPL v3 or later

XPI_CONTENTS:=$(shell find chrome modules defaults -name "*.html" -o -name "*.css" -o -name "*.png" -o -name "*.gif" -o -name "*.js" -o -name "*.jsm" -o -name "*.dtd" -o -name "*.xul" -o -name "messages") chrome.manifest install.rdf COPYING

ICONS = $(addprefix chrome/content/, broken.png bad.png error.png)

VERSION = $(shell head -n1 Changelog | sed -e 's/^.*(//' -e 's/).*$$//')

monkeysphere.xpi: $(XPI_CONTENTS) $(ICONS)
	zip $@ $(XPI_CONTENTS) $(ICONS)

install.rdf: install.rdf.template Changelog
	sed 's/__VERSION__/$(VERSION)/' < $< > $@

icons: $(ICONS)
%.png: %.svg
	inkscape --export-png $@ --export-area-page --export-background-opacity=0 $<

debian-package:
	git buildpackage -uc -us

publish: monkeysphere.xpi
	scp $< archivemaster@george.riseup.net:/srv/archive.monkeysphere.info/xul-ext/

clean:
	rm -f $(ICONS)
	rm -f monkeysphere.xpi
	rm -f install.rdf

.PHONY: clean icons debian-package publish

=== debian/changelog ===
xul-ext-monkeysphere (0.4-1) unstable; urgency=low

  * New Upstream Release (fixes extension's internal version numbering)
  * debian/control: added build-dep on texlive-fonts-recommended for the
    font used during icon generation (needed by inkscape).

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 05 May 2010 13:04:26 -0400

xul-ext-monkeysphere (0.3-1) unstable; urgency=low

  * New Upstream Release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 05 May 2010 00:41:28 -0400

xul-ext-monkeysphere (0.2-1) unstable; urgency=low

  * new upstream release fixes broken makefile

 -- Jameson Rollins <jrollins@finestructure.net>  Mon, 26 Apr 2010 08:35:47 -0400

xul-ext-monkeysphere (0.1-1) unstable; urgency=low

  * New upstream initial release to Debian (Closes: #579177)

 -- Jameson Rollins <jrollins@finestructure.net>  Sun, 25 Apr 2010 18:53:52 -0400

=== debian/control ===
Source: xul-ext-monkeysphere
Section: web
Priority: optional
Maintainer: Jameson Rollins <jrollins@finestructure.net>
Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
DM-Upload-Allowed: yes
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.0.50~),
 mozilla-devscripts (>= 0.19~),
 inkscape,
 texlive-fonts-recommended
Homepage: http://web.monkeysphere.info/
Vcs-Git: git://git.monkeysphere.info/xul-ext-monkeysphere

Package: xul-ext-monkeysphere
Architecture: all
Depends: ${misc:Depends}
Recommends: ${xpi:Recommends},
 monkeysphere-validation-agent
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: Iceweasel/Firefox extension for using Monkeysphere on the web
 Monkeysphere is a system for using the OpenPGP web of trust as a PKI
 for RSA keys.
 .
 This extensions enables Monkeysphere checking of X.509 certificates
 from https hosts whose keys are in the web of trust.

## xul-ext-monkeysphere 0.6

=== debian/changelog ===
xul-ext-monkeysphere (0.6-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 11 Mar 2011 18:19:07 -0500

xul-ext-monkeysphere (0.5-2) unstable; urgency=low

  * upload to unstable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 24 Feb 2011 12:22:34 -0500

xul-ext-monkeysphere (0.5-1) experimental; urgency=low

  * New Upstream Release to experimental.
  * Bumped standards version to 3.9.1 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 16 Dec 2010 11:03:12 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jameson Rollins <jrollins@finestructure.net>
 Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 DM-Upload-Allowed: yes
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7.0.50~),
  mozilla-devscripts (>= 0.19~),
  inkscape,
@@ -14,7 +14,7 @@
 
 Package: xul-ext-monkeysphere
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${xpi:Depends}
 Recommends: ${xpi:Recommends},
  monkeysphere-validation-agent
 Provides: ${xpi:Provides}

## xul-ext-monkeysphere 0.6.1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # © 2010 Jameson Rollins <jrollins@finestructure.net>
 # Licensed under GPL v3 or later
 
-XPI_CONTENTS:=$(shell find chrome modules defaults -name "*.html" -o -name "*.css" -o -name "*.png" -o -name "*.gif" -o -name "*.js" -o -name "*.jsm" -o -name "*.dtd" -o -name "*.xul" -o -name "messages") chrome.manifest install.rdf COPYING
+XPI_CONTENTS:=$(shell find chrome modules defaults -name "*.html" -o -name "*.xhtml" -o -name "*.css" -o -name "*.png" -o -name "*.gif" -o -name "*.js" -o -name "*.jsm" -o -name "*.dtd" -o -name "*.xul" -o -name "messages") chrome.manifest install.rdf COPYING
 
 ICONS = $(addprefix chrome/content/, broken.png bad.png error.png)

=== debian/changelog ===
xul-ext-monkeysphere (0.6.1-1) unstable; urgency=low

  [ Jameson Rollins ]
  * New upstream release (Closes: #638585)
  * Add Breaks: ${xpi:Breaks} (Closes: #649026)
  * Bumped standards version to 3.9.2 (no changes needed)
  
  [ Daniel Kahn Gillmor ]
  * debian/copyright: updated Format-Specification

 -- Jameson Rollins <jrollins@finestructure.net>  Sun, 22 Jan 2012 16:50:30 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jameson Rollins <jrollins@finestructure.net>
 Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7.0.50~),
  mozilla-devscripts (>= 0.19~),
  inkscape,
@@ -19,6 +19,7 @@
  monkeysphere-validation-agent
 Provides: ${xpi:Provides}
 Enhances: ${xpi:Enhances}
+Breaks: ${xpi:Breaks}
 Description: Iceweasel/Firefox extension for using Monkeysphere on the web
  Monkeysphere is a system for using the OpenPGP web of trust as a PKI
  for RSA keys.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh --with xul-ext $@

override_dh_auto_install:
	install-xpi -x COPYING monkeysphere.xpi

## xul-ext-monkeysphere 0.8

=== debian/changelog ===
xul-ext-monkeysphere (0.8-1) unstable; urgency=low

  * New Upstream Release (Closes: #720600) thanks Kristian Fiskerstrand!
  * removed DMUA from debian/control

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 20 Sep 2013 01:32:17 -0400

xul-ext-monkeysphere (0.7-1) unstable; urgency=low

  * New Upstream Release (Closes: #704765) thanks James Bottomley!
  * updated debhelper compat to version 9
  * Bumped standards version to 3.9.4 (no changes needed)
  * updated debian/copyright

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 23 May 2013 01:51:46 -0400

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Jameson Rollins <jrollins@finestructure.net>
 Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7.0.50~),
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9~),
  mozilla-devscripts (>= 0.19~),
  inkscape,
  texlive-fonts-recommended

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with xul-ext

override_dh_auto_install:
	install-xpi -x COPYING monkeysphere.xpi
